Skip to main content
POST
/
v2
/
giftcards
/
programs
/
{programId}
/
compliance
/
aml
/
{alertId}
/
acknowledge
Acknowledgeamlalert
curl --request POST \
  --url https://api.loyalty.dog/v2/giftcards/programs/{programId}/compliance/aml/{alertId}/acknowledge \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "notes": "<string>"
}
'
{}

Authorizations

Authorization
string
header
required

JWT access token obtained from POST /v2/token.

Headers

X-Eposn-Customer-Token
string | null
X-Eposn-Merchant-Token
string | null

Path Parameters

alertId
string
required
programId
string | null
required
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

Query Parameters

cardId
string | null
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

Body

application/json
notes
string | null
Maximum string length: 1000

Response

Successful Response

{key}
boolean